.angry-grid {
   display: grid; 
   
   grid-template-rows: auto auto auto auto auto auto auto auto auto auto auto auto;
   grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
   
   gap: 0px;
   height: 100%;
   max-width: 900px;
   margin: auto;
}
  
#item-0 {
   grid-row-start: 1;
   grid-column-start: 1;
   grid-row-end: 2;
   grid-column-end: 3;
}
#item-1 { 
   grid-row-start: 1;
   grid-column-start: 3;
   grid-row-end: 3;
   grid-column-end: 5;
}
#item-2 {
   grid-row-start: 1;
   grid-column-start: 5;
   grid-row-end: 3;
   grid-column-end: 6;
}
#item-3 {
   grid-row-start: 2;
   grid-column-start: 1;
   grid-row-end: 4;
   grid-column-end: 2;
}
#item-4 {
   grid-row-start: 2;
   grid-column-start: 2;
   grid-row-end: 3;
   grid-column-end: 3;
}
#item-5 { 
   grid-row-start: 3;
   grid-column-start: 2;
   grid-row-end: 4;
   grid-column-end: 4;
}
#item-6 {
   grid-row-start: 3;
   grid-column-start: 4;
   grid-row-end: 5;
   grid-column-end: 6;
}
#item-7 {
   grid-row-start: 4;
   grid-column-start: 1;
   grid-row-end: 5;
   grid-column-end: 3;
}
#item-8 {
   grid-row-start: 4;
   grid-column-start: 3;
   grid-row-end: 6;
   grid-column-end: 4;
}
#item-9 {
   grid-row-start: 5;
   grid-column-start: 1;
   grid-row-end: 7;
   grid-column-end: 2;
}
#item-10 {
   grid-row-start: 5;
   grid-column-start: 2;
   grid-row-end: 7;
   grid-column-end: 3;
}
#item-11 {
   grid-row-start: 6;
   grid-column-start: 3;
   grid-row-end: 8;
   grid-column-end: 4;
}
#item-12 {
   grid-row-start: 5;
   grid-column-start: 4;
   grid-row-end: 7;
   grid-column-end: 5;
}
#item-13 {
   grid-row-start: 5;
   grid-column-start: 5;
   grid-row-end: 7;
   grid-column-end: 6;
}
#item-14 {
   grid-row-start: 7;
   grid-column-start: 1;
   grid-row-end: 9;
   grid-column-end: 3;
}
#item-15 {
   grid-row-start: 8;
   grid-column-start: 3;
   grid-row-end: 10;
   grid-column-end: 4;
}
#item-16 {
   grid-row-start: 7;
   grid-column-start: 4;
   grid-row-end: 9;
   grid-column-end: 5;
}
#item-17 {
   grid-row-start: 7;
   grid-column-start: 5;
   grid-row-end: 9;
   grid-column-end: 6;
}
#item-18 {
   grid-row-start: 9;
   grid-column-start: 4;
   grid-row-end: 11;
   grid-column-end: 6;
}
#item-19 {
   grid-row-start: 9;
   grid-column-start: 1;
   grid-row-end: 11;
   grid-column-end: 2;
}
#item-20 {
   grid-row-start: 9;
   grid-column-start: 2;
   grid-row-end: 11;
   grid-column-end: 3;
}
#item-21 {
   grid-row-start: 10;
   grid-column-start: 3;
   grid-row-end: 12;
   grid-column-end: 4;
}
#item-22 {
   grid-row-start: 11;
   grid-column-start: 1;
   grid-row-end: 12;
   grid-column-end: 2;
}
#item-23 {
   grid-row-start: 11;
   grid-column-start: 2;
   grid-row-end: 12;
   grid-column-end: 3;
}
#item-24 {
   grid-row-start: 12;
   grid-column-start: 2;
   grid-row-end: 13;
   grid-column-end: 4;
}
#item-25 {
   grid-row-start: 11;
   grid-column-start: 4;
   grid-row-end: 13;
   grid-column-end: 5;
}
#item-26 {
   grid-row-start: 12;
   grid-column-start: 5;
   grid-row-end: 14;
   grid-column-end: 6;
}
#item-27 {
   grid-row-start: 11;
   grid-column-start: 5;
   grid-row-end: 12;
   grid-column-end: 6;
}
#item-28 {
   grid-row-start: 12;
   grid-column-start: 1;
   grid-row-end: 14;
   grid-column-end: 2;
}
#item-29 {
   grid-row-start: 13;
   grid-column-start: 2;
   grid-row-end: 14;
   grid-column-end: 3;
}
#item-30 {
   grid-row-start: 13;
   grid-column-start: 3;
   grid-row-end: 14;
   grid-column-end: 5;
}
.angry-grid img {
	width: 100%;
	height: 100% !important;
	object-fit: cover;
	
	cursor: pointer;
	transition: 0.3s;
}
.angry-grid img:hover {
	opacity: 0.7;
}


/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0 !important;
  top: 0 !important;
  width: 100% !important; /* Full width */
  height: 100% !important; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0) !important; /* Fallback color */
  background-color: rgba(0,0,0,0.9) !important; /* Black w/ opacity */
  margin-left: 0 !important;
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: fit-content;
  max-width: 700px !important;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1 !important;
  font-size: 40px !important;
  font-weight: bold !important;
  transition: 0.3s;
  opacity: 1 !important;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
} 

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

.bt_title {
  font-variant: small-caps;
  margin-top: 0px;
  width: fit-content;
  margin: auto;
  padding-bottom: 10px;
}
.bt_spacer_top {
	padding-top: 1rem;
}